Не обновляется дистрибутив (из-за gimpа или чего-то ещё)

Added by Александр Моруга 9 days ago

Запускаю cl-update. Тормозиться на следующем:
_ * (57 из 64) Драйвер X.Org для видеокарт Intel * Сборка x11-drivers/xf86-video-intel-2.99.917_p20170313 ... [ ok ] * Установка x11-drivers/xf86-video-intel-2.99.917_p20170313 ... [ ok ] * (58 из 64) X.org input driver based on libinput * Сборка x11-drivers/xf86-input-libinput-0.25.1 ... [ ok ] * Установка x11-drivers/xf86-input-libinput-0.25.1 ... [ ok ]
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/gmsgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.24.3
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool

!!! Please attach the following file when seeking support:
!!! /var/calculate/tmp/portage/media-gfx/gimp-2.8.22/work/gimp-2.8.22/config.log * ERROR: media-gfx/gimp-2.8.22::gentoo failed (configure phase): * econf failed * * Call stack: * ebuild.sh, line 115: Called src_configure * environment, line 4166: Called gnome2_src_configure * environment, line 2446: Called econf '--disable-gtk-doc' '--disable-maintainer-mode' '--docdir=/usr/share/doc/gimp-2.8.22' '--enable-default-binary' '--disable-silent-rules' '--with-x' '--without-aa' '--with-alsa' '--disable-altivec' '--with-bzip2' '--without-libcurl' '--with-dbus' '--without-gvfs' '--without-webkit' '--with-libjpeg' '--with-libjasper' '--with-libexif' '--without-lcms' '--without-gs' '--enable-mmx' '--without-libmng' '--with-poppler' '--with-libpng' '--enable-python' '--enable-mp' '--enable-sse' '--with-librsvg' '--with-libtiff' '--with-gudev' '--with-wmf' '--with-xmc' '--without-libxpm' '--without-xvfb-run' * phase-helpers.sh, line 665: Called __helpers_die 'econf failed' * isolated-functions.sh, line 117: Called die * The specific snippet of code: * die "$@" * * If you need support, post the output of `emerge --info '=media-gfx/gimp-2.8.22::gentoo'`, * the complete build log and the output of `emerge -pqv '=media-gfx/gimp-2.8.22::gentoo'`. * The complete build log is located at '/var/calculate/tmp/portage/media-gfx/gimp-2.8.22/temp/build.log'. * The ebuild environment file is located at '/var/calculate/tmp/portage/media-gfx/gimp-2.8.22/temp/environment'. * Working directory: '/var/calculate/tmp/portage/media-gfx/gimp-2.8.22/work/gimp-2.8.22' * S: '/var/calculate/tmp/portage/media-gfx/gimp-2.8.22/work/gimp-2.8.22' =================================================================
System Settings =================================================================
System uname: Linux-4.9.51-calculate-i686-Intel-R-Core-TM-_i5-2430M_CPU@_2.40GHz-with-gentoo-17.6
KiB Mem: 3018812 total, 26680 free
KiB Swap: 9215996 total, 8500744 free
Timestamp of repository gentoo: Tue, 31 Oct 2017 05:30:01 +0000
Head commit of repository gentoo: 66f7d954ae7fd8176147da5e601dea7e07a2889c

  • Не удалось собрать media-gfx/gimp-2.8.22::gentoo
  • Не удалось обновить _
    Содержимое var/calculate/tmp/portage/media-gfx/gimp-2.8.22/work/gimp-2.8.22/config.log не могу прикрепить. Забыл пароль su (( отказывает в доступе
    emerge --info '=media-gfx/gimp-2.8.22::gentoo' :

    _ Portage 2.3.8 (python 3.4.5-final-0, !../../var/lib/layman/distros/profiles/CLDX/x86, gcc-5.4.0, glibc-2.25-r8, 4.9.51-calculate i686)

sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.28.1 p1.0) 2.28.1
app-shells/bash: 4.3_p48-r1::gentoo
dev-lang/perl: 5.24.3::gentoo
dev-lang/python: 2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake: 3.8.2::gentoo
dev-util/pkgconfig: 0.29.2::gentoo
sys-apps/baselayout: 2.4.1-r2::gentoo
sys-apps/openrc: 0.32.1::gentoo
sys-apps/sandbox: 2.10-r4::gentoo
sys-devel/autoconf: 2.13::gentoo, 2.69::gentoo
sys-devel/automake: 1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils: 2.26.1::gentoo, 2.28.1::gentoo
sys-devel/gcc: 5.4.0-r3::gentoo
sys-devel/gcc-config: 1.8-r1::gentoo
sys-devel/libtool: 2.4.6-r3::gentoo
sys-devel/make: 4.2.1::gentoo
sys-kernel/linux-headers: 4.9::gentoo (virtual/os-headers)
sys-libs/glibc: 2.25-r8::gentoo
Repositories:

gentoo
location: /usr/portage
sync-type: git
sync-uri: git://git.calculate-linux.org/repo/gentoo.git
priority: -1000

calculate
location: /var/lib/layman/calculate
sync-type: laymansync
sync-uri: git://github.com/calculatelinux/calculate.git
masters: gentoo
priority: 50

distros
location: /var/lib/layman/distros
sync-type: laymansync
sync-uri: git://github.com/calculatelinux/distros.git
masters: calculate gentoo
priority: 50

Installed sets: @autodeps, @custom
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE=""
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/var/calculate/remote/distfiles"
EMERGE_DEFAULT_OPTS=" --binpkg-changed-deps=n --quiet-build=n --binpkg-respect-use=y --jobs=4"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles getbinpkg merge-sync multilib-strict news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles http://distfiles.gentoo.org"
INSTALL_MASK="/etc/systemd /usr/lib
/systemd"
LANG="ru_RU.utf8"
LDFLAGS="-Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/var/calculate/packages/i686"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/calculate/tmp"
USE="3dnow 3dnowext X a52 aac acl acpi aes alsa amr audiofile avi avx berkdb bittorrent bluetooth box bzip2 cairo caps cdda cddb cdparanoia cdr cgroups chm cli consolekit cpudetection cracklib crypt css cue cups cxx dbus dftk djvu dri dv dvd dvdr dvdread ebook encode exif faac fexif ffmpeg flac flash fma3 fma4 foomaticdb fortran ftp gadu gd gdbm gif gphoto2 gpm gstreamer gtk hunspell iconv id3tag idn ieee1394 imagemagick imap introspection ios ipod ipv6 irc jabber jpeg jpeg2k libnotify libwww lm_sensors logrotate lzo mad matroska mikmod mimap mmx mmxext modules mp3 mpeg mplayer musepack ncurses networkmanager nfs nls nptl nsplugin ogg oggvorbis openal opencore-amr openexr opengl openmp opus oscar padlock pam pcre pdf pgo png policykit popcnt ppp pulseaudio quicktime raw rdesktop readline real samba sasl scanner sdl seccomp semantic-desktop session smp smtp speex spell srt sse sse2 sse3 sse4_1 sse4_2 sse4a ssl ssse3 svg taglib tcpd tga theora threads tiff truetype udev udisks unicode upnp upower usb userlocales v4l v4l2 vaapi vcd vdpau vhosts vidix vorbis vpx wavpack webkit webp wimax win32codecs wmf wxwindows x264 x265 x86 xanim xattr xcomposite xinerama xmp xop xv xvid xvmc zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx sse sse2 *" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="libinput evdev mutouch synaptics keyboard mouse" KERNEL="linux" L10N="en be be_BY bg bg_BG bs cs cs_CZ da da_DK de de_DE en_GB es es_AR es_ES es_LA es_UY es_VE et et_EE fi fi_FI fr fr_CA fr_FR hr hr_HR hu hu_HU it it_IT kk kk_KZ lt lt_LT lv lv_LV nl nl_NL pl pl_PL pt pt_BR pt_PT ro ro_RO ru ru_RU sk sk_SK sl sl_SI sq sq_AL sv sv_SE uk uk_UA de-1901 en-GB pt-BR" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru uk" LIRC_DEVICES="devinput" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby22" THEMES="CLDX" USERLAND="GNU" VIDEO_CARDS="amdgpu i915 i965 intel nouveau nv nvidia r100 r200 r300 r600 radeon radeonsi vesa via" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CC, CPPFLAGS, CTARGET, CXX, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
_
*emerge -pqv '=media-gfx/gimp-2.8.22::gentoo':

_Local copy of remote index is up-to-date and will be used.
[ebuild U ] media-gfx/gimp-2.8.22 [2.8.20-r1] USE="alsa bzip2 dbus exif jpeg jpeg2k pdf png python smp svg tiff udev wmf -aalib (-altivec) (-aqua) -curl -debug -doc -gnome -lcms -mng -postscript {-test} -xpm" CPU_FLAGS_X86="mmx sse" LINGUAS="ru uk -am -ar -ast -az -be -bg -br -ca -ca@valencia -cs -csb -da -de -dz -el -en_CA -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -gu -he -hi -hr -hu -id -is -it -ja -ka -kk -km -kn -ko -lt -lv -mk -ml -ms -my -nb -nds -ne -nl -nn -oc -pa -pl -pt -pt_BR -ro -rw -si -sk -sl -sr -sr@latin -sv -ta -te -th -tr -tt -vi -xh -yi -zh_CN -zh_HK -zh_TW" PYTHON_TARGETS="python2_7"

!!! The following installed packages are masked:
- net-im/skype-4.3.0.37-r6::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
  1. Raymond Jennings <> (08 Jun 2017)
  2. Depends on qt4 which is being removed.
  3. Upstream announced EOL effective July 2017.
  4. Possible alternative is skypeforlinux,
  5. which uses the same account information but has different features.
  6. See bug #620722 and bug #608174.
  7. Masked for removal in 30 days
- net-misc/teamviewer-12.0.76279::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
  1. Andreas Sturmlechner <> (16 Oct 2017)
  2. Reverse-deps on dead Qt4WebKit. Bug #620684
- dev-qt/qtwebkit-4.8.7::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
  1. Andreas Sturmlechner <> (16 Oct 2017)
  2. Qt4WebKit is ancient and is likely to have more holes
  3. in it than swiss cheese. Bug #620684

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.

  • IMPORTANT: 5 news items need reading for repository 'gentoo'.
  • Use eselect news read to view new items.
    _

Thank you!